Page MenuHomeFreeBSD

Add a port for Libresonic.
ClosedPublic

Authored by jlh on Oct 5 2017, 6:44 PM.

Details

Summary

This port replicates the existing www/subsonic-standalone and
www/madsonic-standaline. The only difference is that the .war file is provided
directly from the Github project. The .war is not unarchived (as suggested in
the ports handbook) as it conveniently works directly with "java -jar" and I
truss'ed it, it doesn't seem to extract anything but read directly from the war
file.

Test Plan

make all
make install
make deinstall

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jlh created this revision.Oct 5 2017, 6:44 PM
jlh updated this revision to Diff 33728.Oct 5 2017, 6:46 PM

Fix a "Subsonic" leftover in the description.

jlh updated this revision to Diff 33730.Oct 5 2017, 9:45 PM

Update rc.d script.

mat requested changes to this revision.Oct 6 2017, 3:46 PM
mat added inline comments.
www/libresonic-standalone/Makefile
4–9 ↗(On Diff #33730)
PORTNAME=        libresonic
DISTVERSIONPREFIX=  v
DISTVERSION=        6.2
CATEGORIES=        www java
​MASTER_SITES=        https://github.com/Libresonic/libresonic/releases/download/v${DISTVERSION}/
PKGNAMESUFFIX=       -standalone
​EXTRACT_SUFX=        .war
10–13 ↗(On Diff #33730)

This should happen way way later.

20–31 ↗(On Diff #33730)

Out of order.

46 ↗(On Diff #33730)

Not needed.

50–51 ↗(On Diff #33730)

Happen too late.

58 ↗(On Diff #33730)

Why += ?

79–85 ↗(On Diff #33730)
This revision now requires changes to proceed.Oct 6 2017, 3:46 PM
jlh updated this revision to Diff 34385.Oct 27 2017, 6:07 AM
jlh marked 6 inline comments as done.

Update diff after mat@'s review.

jlh added inline comments.Oct 27 2017, 6:09 AM
www/libresonic-standalone/Makefile
4–9 ↗(On Diff #33730)

Thanks :-). I wanted to stick to what there's in www/madsonic-standalone actually.

10–13 ↗(On Diff #33730)

Move it below options.

50–51 ↗(On Diff #33730)

I lifted up next to the first block. I don't know where it's supposed to go. Why is it important, BTW?

mat added a comment.Oct 27 2017, 3:50 PM

I don't really understand why you have a pkg-message, and a message-transcoding, and a separator, where they could all be in only one file.

www/libresonic-standalone/Makefile
50–51 ↗(On Diff #33730)

To make it easier for anyone to work on any port, there is a standardized way to write things in a Makefile: Chapter 14. Order of Variables in Port Makefiles.

11 ↗(On Diff #34385)

missing empty line before.

13 ↗(On Diff #34385)

Missing empty line before.

jlh updated this revision to Diff 34409.Oct 27 2017, 8:59 PM
jlh marked 7 inline comments as done.

Update diff with mat@'s second review.

jlh added a comment.Oct 27 2017, 8:59 PM

Resolve comment

mat added inline comments.Oct 28 2017, 8:56 AM
www/libresonic-standalone/Makefile
68–73 ↗(On Diff #34409)

When using a do-install target, don't use a post-install one, put everything in do-install.

jlh updated this revision to Diff 34629.Nov 1 2017, 8:22 PM

Change post-install targets to do-install.

jlh marked an inline comment as done.Nov 1 2017, 8:22 PM
mat added inline comments.Nov 2 2017, 2:32 PM
www/libresonic-standalone/Makefile
5 ↗(On Diff #34629)

missing tab after =

58 ↗(On Diff #34629)

missing tab after =

jlh updated this revision to Diff 34819.Nov 5 2017, 9:35 AM
jlh marked an inline comment as done.

Add missing tabs.

jlh marked an inline comment as done.Nov 5 2017, 9:35 AM
mat accepted this revision.Nov 7 2017, 4:36 PM
This revision is now accepted and ready to land.Nov 7 2017, 4:36 PM
This revision was automatically updated to reflect the committed changes.